Create a new application
curl --request POST \
--url https://api.avidoai.com/v0/applications \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"title": "Customer Support Bot",
"slug": "customer-support-bot",
"type": "CHATBOT",
"description": "AI assistant for customer support inquiries",
"context": "You are a helpful customer support assistant...",
"language": "en",
"environment": "DEV",
"humanAnnotationEnabled": false
}
'import requests
url = "https://api.avidoai.com/v0/applications"
payload = {
"title": "Customer Support Bot",
"slug": "customer-support-bot",
"type": "CHATBOT",
"description": "AI assistant for customer support inquiries",
"context": "You are a helpful customer support assistant...",
"language": "en",
"environment": "DEV",
"humanAnnotationEnabled": False
}
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-application-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: 'Customer Support Bot',
slug: 'customer-support-bot',
type: 'CHATBOT',
description: 'AI assistant for customer support inquiries',
context: 'You are a helpful customer support assistant...',
language: 'en',
environment: 'DEV',
humanAnnotationEnabled: false
})
};
fetch('https://api.avidoai.com/v0/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "new_app_id",
"orgId": "org_123456",
"title": "New AI Assistant",
"slug": "new-ai-assistant",
"description": "An AI assistant for advanced Q&A",
"context": "Please answer user queries in a helpful manner",
"type": "CHATBOT",
"environment": "DEV",
"humanAnnotationEnabled": false,
"createdAt": "2025-01-01T00:00:00.000Z",
"modifiedAt": "2025-01-01T00:00:00.000Z"
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Applications
Create a new application
Creates a new application configuration.
POST
/
v0
/
applications
Create a new application
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Body
application/json
Request body for creating a new application
Title of the application
Minimum string length:
1Example:
"Customer Support Bot"
URL-friendly slug for the application
Minimum string length:
1Example:
"customer-support-bot"
Type of the application
Available options:
CHATBOT, AGENT Example:
"CHATBOT"
Description of the application
Maximum string length:
2048Example:
"AI assistant for customer support inquiries"
Context/instructions for the application
Maximum string length:
8192Example:
"You are a helpful customer support assistant..."
Language of the application.
Available options:
da, de, en, es, fr, it, nl, pt, sv Example:
"en"
Environment of the application
Available options:
DEV, PROD Example:
"DEV"
Whether human annotation is enabled for this application
Example:
false
Response
Successfully created application
Successful response containing the application data
Application configuration and metadata
Show child attributes
Show child attributes
⌘I